package agilpizza.dao;

import static org.junit.Assert.*;

import org.junit.Test;

import agilpizza.modelo.Ingrediente;

public class IngredienteDAOTest {

	@Test
	public void testaBuscaIngredienteQueExiste() {
		Ingrediente ingrediente = IngredienteDAO.getInstance().busca("Provolone");
		assertNotNull(ingrediente);
		assertTrue(ingrediente.getNome().equals("Provolone"));
	}

	@Test
	public void testaBuscaIngredienteQueNaoExiste() {
		Ingrediente ingrediente = IngredienteDAO.getInstance().busca("Sapato");
		assertNull(ingrediente);
	}
	
	@Test
	public void testaPrecoAbobrinha() {
		Ingrediente ingrediente = IngredienteDAO.getInstance().busca("Abobrinha");
		assertEquals(2.50, ingrediente.getPreco());
	}

	@Test
	public void testaPrecoErradoDoTomate() {
		Ingrediente ingrediente = IngredienteDAO.getInstance().busca("Tomate");
		assertFalse(6.50 == ingrediente.getPreco());
	}
	
}
